edu.sc.seis.sod.status.waveformArm

## Interface WaveformStatusProcess

- All Superinterfaces:
    SodElement, Subsetter

      public interface WaveformStatusProcess
      extends Subsetter

  WaveformStatusProcess.java Created: Fri Oct 18 14:57:48 2002

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess)`
    `void` | `begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess, edu.iris.Fissures.IfNetwork.Channel channel)`
    `void` | `begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess, edu.iris.Fissures.IfNetwork.NetworkAccess networkAccess)`
    `void` | `begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess, edu.iris.Fissures.IfNetwork.Site site)`
    `void` | `begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess, edu.iris.Fissures.IfNetwork.Station station)`
    `void` | `closeProcessing()`
    `void` | `end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess)`
    `void` | `end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess, edu.iris.Fissures.IfNetwork.Channel channel, Status status, java.lang.String reason)`
    `void` | `end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess, edu.iris.Fissures.IfNetwork.NetworkAccess networkAccess)`
    `void` | `end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess, edu.iris.Fissures.IfNetwork.Site site)`
    `void` | `end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess, edu.iris.Fissures.IfNetwork.Station station)`

- - ### Method Detail

    - #### begin

          void begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### begin

          void begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess,
                     edu.iris.Fissures.IfNetwork.NetworkAccess networkAccess)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### begin

          void begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess,
                     edu.iris.Fissures.IfNetwork.Station station)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### begin

          void begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess,
                     edu.iris.Fissures.IfNetwork.Site site)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### begin

          void begin(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess,
                     edu.iris.Fissures.IfNetwork.Channel channel)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### end

          void end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess,
                   edu.iris.Fissures.IfNetwork.Channel channel,
                   Status status,
                   java.lang.String reason)
            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### end

          void end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess,
                   edu.iris.Fissures.IfNetwork.Site site)
            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### end

          void end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess,
                   edu.iris.Fissures.IfNetwork.Station station)
            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### end

          void end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess,
                   edu.iris.Fissures.IfNetwork.NetworkAccess networkAccess)
            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### end

          void end(edu.iris.Fissures.IfEvent.EventAccessOperations eventAccess)
            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### closeProcessing

          void closeProcessing()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`